indexing

	description: "Single element child."

	author:     "Berend de Boer <berend@pobox.com>"
	copyright:  "Copyright (c) 2001 by Berend de Boer, see forum.txt"
	date:       "$Date: $"
	revision:   "$Revision: $"


class

	CHILD_DEFINITION_NAME


inherit

	CHILD_DEFINITION


creation

	make


feature -- Initialization

	make (a_name: STRING) is
		require
			name_not_empty: a_name /= Void and then not a_name.is_empty
		do
			name := a_name
		end


feature -- state

	name: STRING


feature -- output

	do_generate (xml: EPX_XML_WRITER) is
		do
			xml.set_attribute("type", "name")
			xml.set_attribute("name", name)
		end


invariant

	name_not_empty: name /= Void and then not name.is_empty

end
